OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.FramebufferNoAttachments

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_framebuffer_no_attachments extension, see http://www.opengl.org/registry/specs/ARB/framebuffer_no_attachments.txt.

Synopsis

- glFramebufferParameteri :: GLenum -> GLenum -> GLint -> IO ()
- glGetFramebufferParameteriv :: GLenum -> GLenum -> Ptr GLint
- gl_FRAMEBUFFER_DEFAULT_WIDTH :: GLenum
- gl_FRAMEBUFFER_DEFAULT_HEIGHT :: GLenum
- gl_FRAMEBUFFER_DEFAULT_LAYERS :: GLenum
- gl_FRAMEBUFFER_DEFAULT_SAMPLES :: GLenum
- gl_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS :: GLenum
- gl_MAX_FRAMEBUFFER_WIDTH :: GLenum
- gl_MAX_FRAMEBUFFER_HEIGHT :: GLenum
- gl_MAX_FRAMEBUFFER_LAYERS :: GLenum
- gl_MAX_FRAMEBUFFER_SAMPLES :: GLenum

# Functions

glFramebufferParameteri :: GLenum -> GLenum -> GLint -> IO ()

glGetFramebufferParameteriv :: GLenum -> GLenum -> Ptr GLint

# Tokens

gl_FRAMEBUFFER_DEFAULT_WIDTH :: GLenum

gl_FRAMEBUFFER_DEFAULT_HEIGHT :: GLenum

gl_FRAMEBUFFER_DEFAULT_LAYERS :: GLenum

gl_FRAMEBUFFER_DEFAULT_SAMPLES :: GLenum

gl_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS :: GLenum

gl_MAX_FRAMEBUFFER_WIDTH :: GLenum

gl_MAX_FRAMEBUFFER_HEIGHT :: GLenum

gl_MAX_FRAMEBUFFER_LAYERS :: GLenum

gl_MAX_FRAMEBUFFER_SAMPLES :: GLenum